/* 
 * CUAG AutoUmpire System
 * 
 * Copyright (C) 2003/2004 Matthew Johnson, Adam Biltcliffe,
 * Michael Cripps, Martin O'Leary, Edward Allcutt and James Osborn
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * To Contact the authors, please email assassins@srcf.ucam.org
 *
 */

package org.ucam.srcf.assassins;

import java.util.List;
/**
 *  Questions with a set of answers
 *
 *  @author Matthew Johnson <autoumpire@matthew.ath.cx>
 */
public class OptionQuestion extends Question
{
   /** The answer to the Question */
   int answer;
   /** The options to ask for */
   List options;
   /** The default value */
   int def;
   
   /** Create the question with a label and list of options */
   public OptionQuestion(String label, List options, int def)
   {
      super(label);
      this.options = options;
      this.def = def;
   }
 
   /** Set the answer */
   public void setAnswer(int answer)
   {
      this.answer = answer;
   }

   /** return the answer as a string */
   public String getAnswerString()
   {
      return (String) options.get(answer);
   }

   /** return the answer as an index in the options array */
   public int getAnswerIndex()
   {
      return answer;
   }

   /** get the default */
   public int getDefault()
   {
      return def;
   }  

   /** Get the options */
   public List getOptions()
   {
      return options;
   }
}
